"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../domain/constants");
const split_1 = require("./split");
describe('split', () => {
    it('should correctly define the selection and remainder for a fifo queue', () => {
        const data = ['a', 'b', 'c', 'd', 'e'];
        const { selection, remainder } = (0, split_1.split)({
            data,
            order: constants_1.QueueOrder.FIRST_IN_FIRST_OUT,
            slice: { start: 1, end: 3 },
        });
        expect(selection).toEqual(['b', 'c']);
        expect(remainder).toEqual(['a', 'd', 'e']);
    });
    it('should correctly define the selection and remainder for a lifo queue', () => {
        const data = ['a', 'b', 'c', 'd', 'e'];
        const { selection, remainder } = (0, split_1.split)({
            data,
            order: constants_1.QueueOrder.LAST_IN_FIRST_OUT,
            slice: { start: 1, end: 3 },
        });
        expect(selection).toEqual(['d', 'c']);
        expect(remainder).toEqual(['a', 'b', 'e']);
    });
});
//# sourceMappingURL=split.test.js.map